
/******************************************************************************
 *
 * This file contains wrapper code using NST-unit invert with Neo.
 *
 * Note: as given, this will produce a folder "test" containing invert
 *       as the only unit. For final use, the body section of this file
 *       should be inserted in some already existing Neo folder, such
 *       as, e.g., "private".
 *
 *****************************************************************************/

#include "neo.h"

/* extern declarations for new units here: */

extern unitptr invert(int iDx, int iDy, unitptr uHost);

extern NstIconDef_t ICONDEF_invert;  /* to be added to declarations */

BEGINFOLDER(contrib)
   ICONENTRY(invert) 
ENDFOLDER;

/***************************************************************************
 *
 * wrapper for unit invert: 
 *
 **************************************************************************/

ICONFORM1(invert)    /* format of dialog wdw1 */
   " unit invert - simply inverts a greyscale image%n"
   " image size: %80i x %80i %n"

ICONFORM2(invert)    /* format of dialog wdw2 */
   ""

ICONLABEL("invert")   /* define name here */

ICONMAKE(invert) { 
   unitptr uNew;
   SRCLINE("$ = #($0,$1,@);\n"); 
   uNew = invert(IVAL(0), IVAL(1), HOST);
   return uNew;
}

ICONPARS(invert) {
   return 1;
}

